regina::CensusHit Class Reference
Census of Triangulations

Stores a single "hit" indicating that some given triangulation has been located in one of Regina's in-built census databases. More...

`#include <census/census.h>`

Inheritance diagram for regina::CensusHit:

## Public Member Functions

const std::string & | name () const
| Returns the human-readable name associated with the triangulation in the database. More...
const CensusDB * | db () const
| Returns details of the census database in which the triangulation was found. More...
const CensusHit * | next () const
| Returns the next hit for the same triangulation, or 0 if there are no more hits. More...

## Friends

class | CensusDB
class | CensusHits

## Detailed Description

Stores a single "hit" indicating that some given triangulation has been located in one of Regina's in-built census databases.

Note that a given triangulation might have several hits across Regina's databases. Therefore hits are typically returned using the separate CensusHits class, which essentially represents a list of individual CensusHit objects.

The documentation for this class was generated from the following file:

- census/census.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).